
package org.mule.module.paypal.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>PaypalCloudConnectorCapabilitiesAdapter</code> is a wrapper around {@link org.mule.module.paypal.PaypalCloudConnector } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class PaypalCloudConnectorCapabilitiesAdapter
    extends org.mule.module.paypal.PaypalCloudConnector
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
